osgGA::StandardManipulator::AnimationData Class Reference

`#include <StandardManipulator>`

Inheritance diagram for osgGA::StandardManipulator::AnimationData:

## Public Member Functions

| AnimationData ()
void | start (const double startTime)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

double | _animationTime
bool | _isAnimating
double | _startTime
double | _phase

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## AnimationData()

osgGA::StandardManipulator::AnimationData::AnimationData | ( |  | ) |

## Member Function Documentation

## start()

void osgGA::StandardManipulator::AnimationData::start | ( | const double | startTime | ) |

## Member Data Documentation

## _animationTime

double osgGA::StandardManipulator::AnimationData::_animationTime

## _isAnimating

bool osgGA::StandardManipulator::AnimationData::_isAnimating

## _phase

double osgGA::StandardManipulator::AnimationData::_phase

## _startTime

double osgGA::StandardManipulator::AnimationData::_startTime

The documentation for this class was generated from the following file:

- StandardManipulator